Llámanos al 946 526 035
Escríbenos a hola@metainnova.es

Actualizamos la versión de PHP a la 7.3

PHP es el lenguaje de programación más usado en el desarrollo de páginas web. Es utilizado habitualmente por gestores de contenidos (CMS) tan populares como WordPress, o plataformas de comercio electrónico como PrestaShop.

Es un lenguaje de código abierto, es decir, cualquiera puede leerlo y modificarlo. Esta característica hace que sea un reclamo para los hackers.

Hasta enero de 2020, todos nuestros planes de alojamiento estaban disponibles con las versiones 7.0, 7.1 para plataformas actuales, y la última revisión de la versión 5.6 para plataformas obsoletas.

¿Por qué hay que actualizar PHP?

PHP cuenta con distintas versiones y como todo, cada versión tiene su ciclo de vida. El versionado funciona de forma similar a como lo hacen los sistemas operativos Microsoft Windows. Cuando se lanza una versión de PHP, esta se mantiene activa durante aproximadamente dos años.

Una vez pasado este tiempo, la versión entra en el ciclo de mantenimiento. Esto quiere decir que durante ese ciclo solo se realizarán reparaciones para problemas críticos y de seguridad. Mientras, ya estaría disponible la nueva versión mayor de PHP.

Finalmente, cuando la versión llega al final de su ciclo de vida, esta deja de actualizarse, por lo que se convierte en una versión vulnerable y deja de ser segura.

Mantener esa versión durante un periodo prolongado de tiempo aumentaría exponencialmente las posibilidades de que cualquier hacker explotara alguna vulnerabilidad y por tanto, obtuviera acceso a tu página web, la información que esta ocupa, y pueda incluso dañarla para impedir su visita.

Puedes comprobar el estado de las versiones de PHP y su ciclo de vida desde aquí.

¿Qué mejoras conlleva actualizar a las últimas versiones?

Rapidez

Las versiones actuales de PHP son más rápidas. Por ejemplo, las páginas basadas en WordPress que emplean PHP 7.3, de media, son un 9% más rápidas que las que tiene la versión PHP 7.2.
Peticiones/seg. atendidas en Wordpress con diferentes versiones de PHP

Seguridad

Actualizar la versión de PHP es fundamental para aumentar la seguridad de tu sitio web y contrarrestar a los hackers. Asegúrate además de actualizar las versiones de WordPress o PrestaShop a las últimas versiones, de forma que tengan plena compatibilidad con la última versión de PHP.

Nuevas características

Las nuevas versiones de PHP incorporan nuevas características y mejoras en el método de realizar la programación web. Es imprescindible que revises tu página para detectar funciones obsoletas que debas actualizar.

¿Cómo puedo actualizarme?

En Metainnova estamos inmersos en un proceso de actualización de la versión de PHP de los planes de alojamiento de todos nuestros clientes. Aquellos de vosotros que ejecutéis versiones recientes de los CMS WordPress y PrestaShop no tenéis de qué preocuparos, nuestros técnicos aplicarán la actualización correspondiente por vosotros, sin coste alguno.

Si por el contrario empleáis una versión de WordPress 4.9 o inferior, nuestros técnicos se pondrán en contacto con vosotros para elaboraros un presupuesto de actualización de vuestro sitio web, tema visual y programación a versiones actuales. Una vez realizado, podréis subir a las últimas versiones de PHP.

Si necesitáis más información, no dudéis en poneros en contacto con nosotros.

¿tienes alguna duda o consulta?

Sin comentarios.

Escribir un comentario